PHY_FIND_SETTING(9)

NAME
phy_find_setting - find a PHY settings array entry that matches speed & duplex

SYNOPSIS

unsigned int phy_find_setting(int speed, int duplex);

ARGUMENTS

speed
    speed to match

duplex
    duplex to match

DESCRIPTION

Searches the settings array for the setting which matches the desired speed and duplex, and returns the index of that setting. Returns the index of the last setting if none of the others match.

COPYRIGHT